Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 Feb 2012 12:18:51 -0500

> Here a first shot of `copy-directory', with the first check disabled
> (file-subdir-of-p) to test the detection of the inf-loop, can you have a
> look?

I think we can install the file-subdir-of-p test now and leave the rest
for 24.2.  Can you (re)send the corresponding patch?  Note that
(or (files-equal-p directory newname)
    (file-subdir-of-p newname directory))
should be replaced by just (file-subdir-of-p newname directory), because
this primitive should be a "⊆" rather than "⊂".

> --8<---------------cut here---------------start------------->8---

I always prefer a patch rather than the resulting code, so I don't have
to look for the source code to see what's changed.

        Stefan